Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Interface WebLogicMBean

All Known Subinterfaces:
  AdminServerMBean, ApplicationMBean, ApplicationRuntimeMBean, BridgeDestinationCommonMBean, BridgeDestinationMBean, CacheMonitorRuntimeMBean, weblogic.management.configuration.ClassDeploymentMBean, ClusterMBean, ClusterRuntimeMBean, COMMBean, ComponentMBean, ComponentRuntimeMBean, ConfigurationMBean, ConnectorComponentMBean, ConnectorComponentRuntimeMBean, ConnectorConnectionPoolRuntimeMBean, ConnectorConnectionRuntimeMBean, ConnectorServiceRuntimeMBean, DeployerRuntimeMBean, DeploymentMBean, DeploymentTaskRuntimeMBean, DomainLogFilterMBean, DomainMBean, DomainRuntimeMBean, EJBCacheRuntimeMBean, EJBComponentMBean, EJBComponentRuntimeMBean, EJBContainerMBean, EJBLockingRuntimeMBean, EJBPoolRuntimeMBean, EJBRuntimeMBean, EJBTransactionRuntimeMBean, EntityCacheCumulativeRuntimeMBean, EntityCacheCurrentStateRuntimeMBean, EntityCacheRuntimeMBean, EntityEJBRuntimeMBean, ExecuteQueueMBean, ExecuteQueueRuntimeMBean, ForeignJMSConnectionFactoryMBean, ForeignJMSDestinationMBean, ForeignJMSServerMBean, weblogic.management.configuration.ForeignJNDIObjectMBean, IIOPMBean, JDBCConnectionPoolMBean, JDBCConnectionPoolRuntimeMBean, JDBCDataSourceFactoryMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSBridgeDestinationMBean, JMSConnectionConsumerMBean, JMSConnectionFactoryMBean, JMSConnectionRuntimeMBean, JMSConsumerRuntimeMBean, JMSDestCommonMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSDestinationRuntimeMBean, JMSDistributedDestinationMBean, JMSDistributedDestinationMemberMBean, JMSDistributedQueueMBean, JMSDistributedQueueMemberMBean, JMSDistributedTopicMBean, JMSDistributedTopicMemberMBean, JMSDurableSubscriberRuntimeMBean, JMSFileStoreMBean, JMSJDBCStoreMBean, JMSPooledConnectionRuntimeMBean, JMSProducerRuntimeMBean, JMSQueueMBean, JMSRuntimeMBean, JMSServerMBean, JMSServerRuntimeMBean, JMSSessionPoolMBean, JMSSessionPoolRuntimeMBean, JMSSessionRuntimeMBean, JMSStoreMBean, JMSTemplateMBean, JMSTopicMBean, JMSVirtualDestinationMBean, JRockitRuntimeMBean, JTAMBean, JTARecoveryRuntimeMBean, JTARuntimeMBean, JTAStatisticsRuntimeMBean, JTATransactionStatisticsRuntimeMBean, JVMRuntimeMBean, KernelMBean, LogBroadcasterRuntimeMBean, LogMBean, MachineMBean, MailSessionMBean, MessageDrivenEJBRuntimeMBean, MessagingBridgeMBean, MessagingBridgeRuntimeMBean, NetworkAccessPointMBean, NetworkChannelMBean, NodeManagerMBean, NonXAResourceRuntimeMBean, RMCFactoryMBean, weblogic.management.runtime.RuntimeMBean, SecurityConfigurationMBean, SecurityMBean, ServerLifeCycleTaskRuntimeMBean, ServerMBean, ServerRuntimeMBean, ServerSecurityRuntimeMBean, ServerStartMBean, ServletRuntimeMBean, ServletSessionRuntimeMBean, ShutdownClassMBean, SNMPAgentMBean, SNMPAttributeChangeMBean, SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPJMXMonitorMBean, SNMPLogFilterMBean, SNMPProxyMBean, SNMPStringMonitorMBean, SNMPTrapDestinationMBean, SNMPTrapSourceMBean, SSLMBean, StartupClassMBean, StatefulEJBRuntimeMBean, StatelessEJBRuntimeMBean, TargetMBean, TaskRuntimeMBean, TransactionNameRuntimeMBean, TransactionResourceRuntimeMBean, VirtualDestinationMBean, VirtualHostMBean, WebAppComponentMBean, WebAppComponentRuntimeMBean, WebDeploymentMBean, WebServerMBean, WebServerRuntimeMBean, WebServiceComponentMBean, WLECConnectionPoolMBean, WLECConnectionPoolRuntimeMBean, WLECConnectionRuntimeMBean, WLECConnectionServiceRuntimeMBean, WSReliableDeliveryPolicyMBean, WTCExportMBean, WTCImportMBean, WTCLocalTuxDomMBean, WTCPasswordMBean, WTCRemoteTuxDomMBean, WTCResourcesMBean, WTCServerMBean, WTCtBridgeGlobalMBean, WTCtBridgeRedirectMBean, XMLEntityCacheMBean, XMLEntitySpecRegistryEntryMBean, XMLParserSelectRegistryEntryMBean, XMLRegistryEntryMBean, XMLRegistryMBean

All Known Implementing Classes:
  weblogic.management.internal.DynamicMBeanImpl

public interface WebLogicMBean
extends javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

The super interface for all MBeans. Specific MBeans implement sub-interfaces of these MBeans, such as ServerMBean, ClusterMBean, ServerRuntimeMBean, etc.

There are three kinds of MBeans:

Administration MBeans - Represent the configured properties of various subcomponents of the server. They are created as an image of the configuration repository when the Administration server starts up.

Configuration MBeans - Each administration MBean has an "active instance" or working copy (one for each running server), which is cloned from it and used by the relevant subsystems after applying any overrides (for example, at the command line). These are called configuration MBeans.

Runtime MBeans - represent the runtime transient state of the underlying resource or subsystem which they represent. For instance, ServerRuntimeMBean has metrics like 'OpenSocketsCurrentCount' and 'SocketsOpenedTotalCount'

NOTE:

1. An administration MBean and its corresponding configuration MBean implement the same interface. At any point in time the configuration MBeans contain the property values actually being used by the server. Any configuration changes should be applied to administration MBeans, and these changes are automatically propagated by the admin server to the relevant configuration MBeans, when appropriate.

2. Runtime MBeans implement their own interfaces.

3. Administration MBeans and Configuration MBeans are differentiated based on the their objectnames. For details see WebLogicObjectName.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WebLogicObjectName`, weblogic.management.configuration, weblogic.management.runtime

Method Summary
`javax.management.MBeanInfo` | `getMBeanInfo()` Returns the MBean info for this MBean.
`java.lang.String` | `getName()` The name of this configuration.
`WebLogicObjectName` | `getObjectName()` Returns the ObjectName under which this MBean is registered in the MBean server.
`WebLogicMBean` | `getParent()` Return the immediate parent for this MBean
`java.lang.String` | `getType()` Returns the type of the MBean.
`boolean` | `isCachingDisabled()` Private property that disables caching in proxies.
`boolean` | `isRegistered()` Returns false if the the MBean represented by this object has been unregistered.
`void` | `setName(java.lang.String name)` The name of this configuration.
`void` | `setParent(WebLogicMBean parent)` Change the parent for this MBean

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

### setName

    public void setName(java.lang.String name)
                 throws javax.management.InvalidAttributeValueException,
                        ManagementException

  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Legal Value: (value != null) && (value.trim().length() > 0)

### getType

    public java.lang.String getType()

  Returns the type of the MBean.

### getObjectName

    public WebLogicObjectName getObjectName()

  Returns the ObjectName under which this MBean is registered in the MBean server.

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Returns the MBean info for this MBean.
  Specified by:
    getMBeanInfo in interface javax.management.DynamicMBean

### isCachingDisabled

    public boolean isCachingDisabled()

  Private property that disables caching in proxies.

### getParent

    public WebLogicMBean getParent()

  Return the immediate parent for this MBean

  A non-configurable MBean attribute.

### setParent

    public void setParent(WebLogicMBean parent)
                   throws ConfigurationException

  Change the parent for this MBean

### isRegistered

    public boolean isRegistered()

  Returns false if the the MBean represented by this object has been unregistered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD